package com.lz.modules.flow.entity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*审批权限表
* @author quyixiao
* @since 2020-08-18
*/

@Data
@TableName("lz_record_auth")
public class RecordAuth implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除状态，1：删除，0：有效
    private Integer isDelete;
    //创建时间
    private Date gmtCreate;
    //最后修改时间
    private Date gmtModified;
    //父亲结点id
    private Long parentId;
    //名称
    private String name;
    //
    private String identity;
    //0,不可见。1 可见，不可编辑。2 可编辑
    private Integer status;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 父亲结点id 
     * @return
     */
    public Long getParentId() {
        return parentId;
    }
    /**
     * 父亲结点id 
     * @param parentId
     */
    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    /**
     * 名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     *  
     * @return
     */
    public String getIdentity() {
        return identity;
    }
    /**
     *  
     * @param identity
     */
    public void setIdentity(String identity) {
        this.identity = identity;
    }

    /**
     * 0,不可见。1 可见，不可编辑。2 可编辑 
     * @return
     */
    public Integer getStatus() {
        return status;
    }
    /**
     * 0,不可见。1 可见，不可编辑。2 可编辑 
     * @param status
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "RecordAuth{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",parentId=" + parentId +
                ",name=" + name +
                ",identity=" + identity +
                ",status=" + status +
                "}";
    }
}